## com.icl.saxon.sort
Class DoubleComparer

    java.lang.Object
      com.icl.saxon.sort.Comparer
          com.icl.saxon.sort.DoubleComparer

public class DoubleComparer
extends Comparer

A Comparer used for comparing keys that are Doubles

Constructor Summary
`DoubleComparer()`

Method Summary
`int` `compare(java.lang.Object a, java.lang.Object b)` Compare two String objects according to their numeric values

Methods inherited from class com.icl.saxon.sort.Comparer
`setDataType, setOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleComparer

    public DoubleComparer()

Method Detail

### compare

    public int compare(java.lang.Object a,
                       java.lang.Object b)

  Compare two String objects according to their numeric values

  Specified by:
    `compare` in class `Comparer`
  Returns:
    <0 if a<b, 0 if a=b, >0 if a>b
  Throws:
    `java.lang.ClassCastException` - if the objects are of the wrong type for this Comparer